Functions related to links

## Functions

trace_return_t | addLinkType (const char *alias, const char *name, const char *contType, const char *srcContType, const char *destContType)
| Add a Link Type.
trace_return_t | startLink (varPrec time, const char *type, const char *cont, const char *src, const char *dest, const char *val, const char *key)
| Start a Link.
trace_return_t | endLink (varPrec time, const char *type, const char *cont, const char *src, const char *dest, const char *val, const char *key)
| End a Link.

## Detailed Description

## Function Documentation

## addLinkType()

trace_return_t addLinkType | ( | const char * | alias,
|  | const char * | name,
|  | const char * | contType,
|  | const char * | srcContType,
|  | const char * | destContType )

Add a Link Type.

Parameters

  alias | Alias on the link type
  name | Alternative name of the link type
  contType | Type of common ancestral container
  srcContType | Type of the source container
  destContType | Type of the destination container

Returns
  TRACE_SUCCESS on success
  An error code otherwise

## endLink()

trace_return_t endLink | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont,
|  | const char * | src,
|  | const char * | dest,
|  | const char * | val,
|  | const char * | key )

End a Link.

Parameters

  time | Time the link ends
  type | Type of the link
  cont | Container containing the link (an ancestor of source and destination container)
  src | Source container
  dest | Destination container
  val | Value of the link
  key | Key to match the start link

Returns
  TRACE_SUCCESS on success
  An error code otherwise

## startLink()

trace_return_t startLink | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont,
|  | const char * | src,
|  | const char * | dest,
|  | const char * | val,
|  | const char * | key )

Start a Link.

Parameters

  time | Time the link starts
  type | Type of the link
  cont | Container containing the link (an ancestor of source and destination container)
  src | Source container
  dest | Destination container
  val | Value of the link
  key | Key to match the end link

Returns
  TRACE_SUCCESS on success
  An error code otherwise